Package org.eclipse.e4.ui.css.core.impl.dom

# Class CSS2PropertiesImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.dom.CSS2PropertiesImpl

All Implemented Interfaces:
  `CSS2Properties`

Direct Known Subclasses:
  `CSSExtendedPropertiesImpl`

public class CSS2PropertiesImpl extends Object implements CSS2Properties
w3c `CSS2Properties` implementation.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CSSEngine`
`engine`
`protected Object`
`widget`

## Constructor Summary

Constructors
Constructor
Description
`CSS2PropertiesImpl(Object widget, CSSEngine engine)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAzimuth()`
`String`
`getBackground()`
`String`
`getBackgroundAttachment()`
`String`
`getBackgroundColor()`
`String`
`getBackgroundImage()`
`String`
`getBackgroundPosition()`
`String`
`getBackgroundRepeat()`
`String`
`getBorder()`
`String`
`getBorderBottom()`
`String`
`getBorderBottomColor()`
`String`
`getBorderBottomStyle()`
`String`
`getBorderBottomWidth()`
`String`
`getBorderCollapse()`
`String`
`getBorderColor()`
`String`
`getBorderLeft()`
`String`
`getBorderLeftColor()`
`String`
`getBorderLeftStyle()`
`String`
`getBorderLeftWidth()`
`String`
`getBorderRight()`
`String`
`getBorderRightColor()`
`String`
`getBorderRightStyle()`
`String`
`getBorderRightWidth()`
`String`
`getBorderSpacing()`
`String`
`getBorderStyle()`
`String`
`getBorderTop()`
`String`
`getBorderTopColor()`
`String`
`getBorderTopStyle()`
`String`
`getBorderTopWidth()`
`String`
`getBorderWidth()`
`String`
`getBottom()`
`String`
`getCaptionSide()`
`String`
`getClear()`
`String`
`getClip()`
`String`
`getColor()`
`String`
`getContent()`
`String`
`getCounterIncrement()`
`String`
`getCounterReset()`
`String`
`getCssFloat()`
`String`
`getCue()`
`String`
`getCueAfter()`
`String`
`getCueBefore()`
`String`
`getCursor()`
`String`
`getDirection()`
`String`
`getDisplay()`
`String`
`getElevation()`
`String`
`getEmptyCells()`
`String`
`getFont()`
`String`
`getFontFamily()`
`String`
`getFontSize()`
`String`
`getFontSizeAdjust()`
`String`
`getFontStretch()`
`String`
`getFontStyle()`
`String`
`getFontVariant()`
`String`
`getFontWeight()`
`String`
`getHeight()`
`String`
`getLeft()`
`String`
`getLetterSpacing()`
`String`
`getLineHeight()`
`String`
`getListStyle()`
`String`
`getListStyleImage()`
`String`
`getListStylePosition()`
`String`
`getListStyleType()`
`String`
`getMargin()`
`String`
`getMarginBottom()`
`String`
`getMarginLeft()`
`String`
`getMarginRight()`
`String`
`getMarginTop()`
`String`
`getMarkerOffset()`
`String`
`getMarks()`
`String`
`getMaxHeight()`
`String`
`getMaxWidth()`
`String`
`getMinHeight()`
`String`
`getMinWidth()`
`String`
`getOrphans()`
`String`
`getOutline()`
`String`
`getOutlineColor()`
`String`
`getOutlineStyle()`
`String`
`getOutlineWidth()`
`String`
`getOverflow()`
`String`
`getPadding()`
`String`
`getPaddingBottom()`
`String`
`getPaddingLeft()`
`String`
`getPaddingRight()`
`String`
`getPaddingTop()`
`String`
`getPage()`
`String`
`getPageBreakAfter()`
`String`
`getPageBreakBefore()`
`String`
`getPageBreakInside()`
`String`
`getPause()`
`String`
`getPauseAfter()`
`String`
`getPauseBefore()`
`String`
`getPitch()`
`String`
`getPitchRange()`
`String`
`getPlayDuring()`
`String`
`getPosition()`
`String`
`getQuotes()`
`String`
`getRichness()`
`String`
`getRight()`
`String`
`getSize()`
`String`
`getSpeak()`
`String`
`getSpeakHeader()`
`String`
`getSpeakNumeral()`
`String`
`getSpeakPunctuation()`
`String`
`getSpeechRate()`
`String`
`getStress()`
`String`
`getTableLayout()`
`String`
`getTextAlign()`
`String`
`getTextDecoration()`
`String`
`getTextIndent()`
`String`
`getTextShadow()`
`String`
`getTextTransform()`
`String`
`getTop()`
`String`
`getUnicodeBidi()`
`String`
`getVerticalAlign()`
`String`
`getVisibility()`
`String`
`getVoiceFamily()`
`String`
`getVolume()`
`String`
`getWhiteSpace()`
`String`
`getWidows()`
`String`
`getWidth()`
`String`
`getWordSpacing()`
`String`
`getZIndex()`
`protected void`
`parseAndApplyStyle(String propertyName, String propertyValue)`
Parse and apply CSS property name `propertyName` with value `propertyValue` to the widget.
`void`
`setAzimuth(String azimuth)`
`void`
`setBackground(String background)`
`void`
`setBackgroundAttachment(String backgroundAttachment)`
`void`
`setBackgroundColor(String backgroundColor)`
`void`
`setBackgroundImage(String backgroundImage)`
`void`
`setBackgroundPosition(String backgroundPosition)`
`void`
`setBackgroundRepeat(String backgroundRepeat)`
`void`
`setBorder(String border)`
`void`
`setBorderBottom(String borderBottom)`
`void`
`setBorderBottomColor(String borderColor)`
`void`
`setBorderBottomStyle(String borderBottomStyle)`
`void`
`setBorderBottomWidth(String borderBottomWidth)`
`void`
`setBorderCollapse(String borderCollapse)`
`void`
`setBorderColor(String borderColor)`
`void`
`setBorderLeft(String borderLeft)`
`void`
`setBorderLeftColor(String borderLeftColor)`
`void`
`setBorderLeftStyle(String borderLeftStyle)`
`void`
`setBorderLeftWidth(String borderLeftWidth)`
`void`
`setBorderRight(String borderRight)`
`void`
`setBorderRightColor(String borderRightColor)`
`void`
`setBorderRightStyle(String borderRightStyle)`
`void`
`setBorderRightWidth(String borderRightWidth)`
`void`
`setBorderSpacing(String borderSpacing)`
`void`
`setBorderStyle(String borderStyle)`
`void`
`setBorderTop(String borderTop)`
`void`
`setBorderTopColor(String borderTopColor)`
`void`
`setBorderTopStyle(String borderTopStyle)`
`void`
`setBorderTopWidth(String borderTopWidth)`
`void`
`setBorderWidth(String borderWidth)`
`void`
`setBottom(String bottom)`
`void`
`setCaptionSide(String captionSide)`
`void`
`setClear(String clear)`
`void`
`setClip(String clip)`
`void`
`setColor(String color)`
`void`
`setContent(String content)`
`void`
`setCounterIncrement(String counterIncrement)`
`void`
`setCounterReset(String counterReset)`
`void`
`setCssFloat(String cssFloat)`
`void`
`setCue(String cue)`
`void`
`setCueAfter(String cueAfter)`
`void`
`setCueBefore(String cueBefore)`
`void`
`setCursor(String cursor)`
`void`
`setDirection(String direction)`
`void`
`setDisplay(String display)`
`void`
`setElevation(String elevation)`
`void`
`setEmptyCells(String emptyCells)`
`void`
`setFont(String font)`
`void`
`setFontFamily(String fontFamily)`
`void`
`setFontSize(String fontSize)`
`void`
`setFontSizeAdjust(String fontSizeAdjust)`
`void`
`setFontStretch(String fontStretch)`
`void`
`setFontStyle(String fontStyle)`
`void`
`setFontVariant(String fontVariant)`
`void`
`setFontWeight(String fontWeight)`
`void`
`setHeight(String height)`
`void`
`setLeft(String left)`
`void`
`setLetterSpacing(String letterSpacing)`
`void`
`setLineHeight(String lineHeight)`
`void`
`setListStyle(String listStyle)`
`void`
`setListStyleImage(String listStyleImage)`
`void`
`setListStylePosition(String listStylePosition)`
`void`
`setListStyleType(String listStyleType)`
`void`
`setMargin(String margin)`
`void`
`setMarginBottom(String marginBottom)`
`void`
`setMarginLeft(String marginLeft)`
`void`
`setMarginRight(String marginRight)`
`void`
`setMarginTop(String marginTop)`
`void`
`setMarkerOffset(String markerOffset)`
`void`
`setMarks(String marks)`
`void`
`setMaxHeight(String maxHeight)`
`void`
`setMaxWidth(String maxWidth)`
`void`
`setMinHeight(String minHeight)`
`void`
`setMinWidth(String minWidth)`
`void`
`setOrphans(String orphans)`
`void`
`setOutline(String outline)`
`void`
`setOutlineColor(String outlineColor)`
`void`
`setOutlineStyle(String outlineStyle)`
`void`
`setOutlineWidth(String outlineWidth)`
`void`
`setOverflow(String overflow)`
`void`
`setPadding(String padding)`
`void`
`setPaddingBottom(String paddingBottom)`
`void`
`setPaddingLeft(String paddingLeft)`
`void`
`setPaddingRight(String paddingRight)`
`void`
`setPaddingTop(String paddingTop)`
`void`
`setPage(String page)`
`void`
`setPageBreakAfter(String pageBreakAfter)`
`void`
`setPageBreakBefore(String pageBreakBefore)`
`void`
`setPageBreakInside(String pageBreakInside)`
`void`
`setPause(String pause)`
`void`
`setPauseAfter(String pauseAfter)`
`void`
`setPauseBefore(String pauseBefore)`
`void`
`setPitch(String pitch)`
`void`
`setPitchRange(String pitchRange)`
`void`
`setPlayDuring(String playDuring)`
`void`
`setPosition(String position)`
`void`
`setQuotes(String quotes)`
`void`
`setRichness(String richness)`
`void`
`setRight(String right)`
`void`
`setSize(String size)`
`void`
`setSpeak(String speak)`
`void`
`setSpeakHeader(String speakHeader)`
`void`
`setSpeakNumeral(String speakNumeral)`
`void`
`setSpeakPunctuation(String speakPunctuation)`
`void`
`setSpeechRate(String speechRate)`
`void`
`setStress(String stress)`
`void`
`setTableLayout(String tableLayout)`
`void`
`setTextAlign(String textAlign)`
`void`
`setTextDecoration(String textDecoration)`
`void`
`setTextIndent(String textIndent)`
`void`
`setTextShadow(String textShadow)`
`void`
`setTextTransform(String textTransform)`
`void`
`setTop(String top)`
`void`
`setUnicodeBidi(String unicodeBidi)`
`void`
`setVerticalAlign(String verticalAlign)`
`void`
`setVisibility(String visibility)`
`void`
`setVoiceFamily(String voiceFamily)`
`void`
`setVolume(String volume)`
`void`
`setWhiteSpace(String whiteSpace)`
`void`
`setWidows(String widows)`
`void`
`setWidth(String width)`
`void`
`setWordSpacing(String wordSpacing)`
`void`
`setZIndex(String zIndex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### widget

protected Object widget

### engine

protected CSSEngine engine

## Constructor Details

### CSS2PropertiesImpl

public CSS2PropertiesImpl(Object widget, CSSEngine engine)

## Method Details

### getAzimuth

public String getAzimuth()

Specified by:
  `getAzimuth` in interface `CSS2Properties`

### getBackground

public String getBackground()

Specified by:
  `getBackground` in interface `CSS2Properties`

### getBackgroundAttachment

public String getBackgroundAttachment()

Specified by:
  `getBackgroundAttachment` in interface `CSS2Properties`

### getBackgroundColor

public String getBackgroundColor()

Specified by:
  `getBackgroundColor` in interface `CSS2Properties`

### getBackgroundImage

public String getBackgroundImage()

Specified by:
  `getBackgroundImage` in interface `CSS2Properties`

### getBackgroundPosition

public String getBackgroundPosition()

Specified by:
  `getBackgroundPosition` in interface `CSS2Properties`

### getBackgroundRepeat

public String getBackgroundRepeat()

Specified by:
  `getBackgroundRepeat` in interface `CSS2Properties`

### getBorder

public String getBorder()

Specified by:
  `getBorder` in interface `CSS2Properties`

### getBorderBottom

public String getBorderBottom()

Specified by:
  `getBorderBottom` in interface `CSS2Properties`

### getBorderBottomColor

public String getBorderBottomColor()

Specified by:
  `getBorderBottomColor` in interface `CSS2Properties`

### getBorderBottomStyle

public String getBorderBottomStyle()

Specified by:
  `getBorderBottomStyle` in interface `CSS2Properties`

### getBorderBottomWidth

public String getBorderBottomWidth()

Specified by:
  `getBorderBottomWidth` in interface `CSS2Properties`

### getBorderCollapse

public String getBorderCollapse()

Specified by:
  `getBorderCollapse` in interface `CSS2Properties`

### getBorderColor

public String getBorderColor()

Specified by:
  `getBorderColor` in interface `CSS2Properties`

### getBorderLeft

public String getBorderLeft()

Specified by:
  `getBorderLeft` in interface `CSS2Properties`

### getBorderLeftColor

public String getBorderLeftColor()

Specified by:
  `getBorderLeftColor` in interface `CSS2Properties`

### getBorderLeftStyle

public String getBorderLeftStyle()

Specified by:
  `getBorderLeftStyle` in interface `CSS2Properties`

### getBorderLeftWidth

public String getBorderLeftWidth()

Specified by:
  `getBorderLeftWidth` in interface `CSS2Properties`

### getBorderRight

public String getBorderRight()

Specified by:
  `getBorderRight` in interface `CSS2Properties`

### getBorderRightColor

public String getBorderRightColor()

Specified by:
  `getBorderRightColor` in interface `CSS2Properties`

### getBorderRightStyle

public String getBorderRightStyle()

Specified by:
  `getBorderRightStyle` in interface `CSS2Properties`

### getBorderRightWidth

public String getBorderRightWidth()

Specified by:
  `getBorderRightWidth` in interface `CSS2Properties`

### getBorderSpacing

public String getBorderSpacing()

Specified by:
  `getBorderSpacing` in interface `CSS2Properties`

### getBorderStyle

public String getBorderStyle()

Specified by:
  `getBorderStyle` in interface `CSS2Properties`

### getBorderTop

public String getBorderTop()

Specified by:
  `getBorderTop` in interface `CSS2Properties`

### getBorderTopColor

public String getBorderTopColor()

Specified by:
  `getBorderTopColor` in interface `CSS2Properties`

### getBorderTopStyle

public String getBorderTopStyle()

Specified by:
  `getBorderTopStyle` in interface `CSS2Properties`

### getBorderTopWidth

public String getBorderTopWidth()

Specified by:
  `getBorderTopWidth` in interface `CSS2Properties`

### getBorderWidth

public String getBorderWidth()

Specified by:
  `getBorderWidth` in interface `CSS2Properties`

### getBottom

public String getBottom()

Specified by:
  `getBottom` in interface `CSS2Properties`

### getCaptionSide

public String getCaptionSide()

Specified by:
  `getCaptionSide` in interface `CSS2Properties`

### getClear

public String getClear()

Specified by:
  `getClear` in interface `CSS2Properties`

### getClip

public String getClip()

Specified by:
  `getClip` in interface `CSS2Properties`

### getColor

public String getColor()

Specified by:
  `getColor` in interface `CSS2Properties`

### getContent

public String getContent()

Specified by:
  `getContent` in interface `CSS2Properties`

### getCounterIncrement

public String getCounterIncrement()

Specified by:
  `getCounterIncrement` in interface `CSS2Properties`

### getCounterReset

public String getCounterReset()

Specified by:
  `getCounterReset` in interface `CSS2Properties`

### getCssFloat

public String getCssFloat()

Specified by:
  `getCssFloat` in interface `CSS2Properties`

### getCue

public String getCue()

Specified by:
  `getCue` in interface `CSS2Properties`

### getCueAfter

public String getCueAfter()

Specified by:
  `getCueAfter` in interface `CSS2Properties`

### getCueBefore

public String getCueBefore()

Specified by:
  `getCueBefore` in interface `CSS2Properties`

### getCursor

public String getCursor()

Specified by:
  `getCursor` in interface `CSS2Properties`

### getDirection

public String getDirection()

Specified by:
  `getDirection` in interface `CSS2Properties`

### getDisplay

public String getDisplay()

Specified by:
  `getDisplay` in interface `CSS2Properties`

### getElevation

public String getElevation()

Specified by:
  `getElevation` in interface `CSS2Properties`

### getEmptyCells

public String getEmptyCells()

Specified by:
  `getEmptyCells` in interface `CSS2Properties`

### getFont

public String getFont()

Specified by:
  `getFont` in interface `CSS2Properties`

### getFontFamily

public String getFontFamily()

Specified by:
  `getFontFamily` in interface `CSS2Properties`

### getFontSize

public String getFontSize()

Specified by:
  `getFontSize` in interface `CSS2Properties`

### getFontSizeAdjust

public String getFontSizeAdjust()

Specified by:
  `getFontSizeAdjust` in interface `CSS2Properties`

### getFontStretch

public String getFontStretch()

Specified by:
  `getFontStretch` in interface `CSS2Properties`

### getFontStyle

public String getFontStyle()

Specified by:
  `getFontStyle` in interface `CSS2Properties`

### getFontVariant

public String getFontVariant()

Specified by:
  `getFontVariant` in interface `CSS2Properties`

### getFontWeight

public String getFontWeight()

Specified by:
  `getFontWeight` in interface `CSS2Properties`

### getHeight

public String getHeight()

Specified by:
  `getHeight` in interface `CSS2Properties`

### getLeft

public String getLeft()

Specified by:
  `getLeft` in interface `CSS2Properties`

### getLetterSpacing

public String getLetterSpacing()

Specified by:
  `getLetterSpacing` in interface `CSS2Properties`

### getLineHeight

public String getLineHeight()

Specified by:
  `getLineHeight` in interface `CSS2Properties`

### getListStyle

public String getListStyle()

Specified by:
  `getListStyle` in interface `CSS2Properties`

### getListStyleImage

public String getListStyleImage()

Specified by:
  `getListStyleImage` in interface `CSS2Properties`

### getListStylePosition

public String getListStylePosition()

Specified by:
  `getListStylePosition` in interface `CSS2Properties`

### getListStyleType

public String getListStyleType()

Specified by:
  `getListStyleType` in interface `CSS2Properties`

### getMargin

public String getMargin()

Specified by:
  `getMargin` in interface `CSS2Properties`

### getMarginBottom

public String getMarginBottom()

Specified by:
  `getMarginBottom` in interface `CSS2Properties`

### getMarginLeft

public String getMarginLeft()

Specified by:
  `getMarginLeft` in interface `CSS2Properties`

### getMarginRight

public String getMarginRight()

Specified by:
  `getMarginRight` in interface `CSS2Properties`

### getMarginTop

public String getMarginTop()

Specified by:
  `getMarginTop` in interface `CSS2Properties`

### getMarkerOffset

public String getMarkerOffset()

Specified by:
  `getMarkerOffset` in interface `CSS2Properties`

### getMarks

public String getMarks()

Specified by:
  `getMarks` in interface `CSS2Properties`

### getMaxHeight

public String getMaxHeight()

Specified by:
  `getMaxHeight` in interface `CSS2Properties`

### getMaxWidth

public String getMaxWidth()

Specified by:
  `getMaxWidth` in interface `CSS2Properties`

### getMinHeight

public String getMinHeight()

Specified by:
  `getMinHeight` in interface `CSS2Properties`

### getMinWidth

public String getMinWidth()

Specified by:
  `getMinWidth` in interface `CSS2Properties`

### getOrphans

public String getOrphans()

Specified by:
  `getOrphans` in interface `CSS2Properties`

### getOutline

public String getOutline()

Specified by:
  `getOutline` in interface `CSS2Properties`

### getOutlineColor

public String getOutlineColor()

Specified by:
  `getOutlineColor` in interface `CSS2Properties`

### getOutlineStyle

public String getOutlineStyle()

Specified by:
  `getOutlineStyle` in interface `CSS2Properties`

### getOutlineWidth

public String getOutlineWidth()

Specified by:
  `getOutlineWidth` in interface `CSS2Properties`

### getOverflow

public String getOverflow()

Specified by:
  `getOverflow` in interface `CSS2Properties`

### getPadding

public String getPadding()

Specified by:
  `getPadding` in interface `CSS2Properties`

### getPaddingBottom

public String getPaddingBottom()

Specified by:
  `getPaddingBottom` in interface `CSS2Properties`

### getPaddingLeft

public String getPaddingLeft()

Specified by:
  `getPaddingLeft` in interface `CSS2Properties`

### getPaddingRight

public String getPaddingRight()

Specified by:
  `getPaddingRight` in interface `CSS2Properties`

### getPaddingTop

public String getPaddingTop()

Specified by:
  `getPaddingTop` in interface `CSS2Properties`

### getPage

public String getPage()

Specified by:
  `getPage` in interface `CSS2Properties`

### getPageBreakAfter

public String getPageBreakAfter()

Specified by:
  `getPageBreakAfter` in interface `CSS2Properties`

### getPageBreakBefore

public String getPageBreakBefore()

Specified by:
  `getPageBreakBefore` in interface `CSS2Properties`

### getPageBreakInside

public String getPageBreakInside()

Specified by:
  `getPageBreakInside` in interface `CSS2Properties`

### getPause

public String getPause()

Specified by:
  `getPause` in interface `CSS2Properties`

### getPauseAfter

public String getPauseAfter()

Specified by:
  `getPauseAfter` in interface `CSS2Properties`

### getPauseBefore

public String getPauseBefore()

Specified by:
  `getPauseBefore` in interface `CSS2Properties`

### getPitch

public String getPitch()

Specified by:
  `getPitch` in interface `CSS2Properties`

### getPitchRange

public String getPitchRange()

Specified by:
  `getPitchRange` in interface `CSS2Properties`

### getPlayDuring

public String getPlayDuring()

Specified by:
  `getPlayDuring` in interface `CSS2Properties`

### getPosition

public String getPosition()

Specified by:
  `getPosition` in interface `CSS2Properties`

### getQuotes

public String getQuotes()

Specified by:
  `getQuotes` in interface `CSS2Properties`

### getRichness

public String getRichness()

Specified by:
  `getRichness` in interface `CSS2Properties`

### getRight

public String getRight()

Specified by:
  `getRight` in interface `CSS2Properties`

### getSize

public String getSize()

Specified by:
  `getSize` in interface `CSS2Properties`

### getSpeak

public String getSpeak()

Specified by:
  `getSpeak` in interface `CSS2Properties`

### getSpeakHeader

public String getSpeakHeader()

Specified by:
  `getSpeakHeader` in interface `CSS2Properties`

### getSpeakNumeral

public String getSpeakNumeral()

Specified by:
  `getSpeakNumeral` in interface `CSS2Properties`

### getSpeakPunctuation

public String getSpeakPunctuation()

Specified by:
  `getSpeakPunctuation` in interface `CSS2Properties`

### getSpeechRate

public String getSpeechRate()

Specified by:
  `getSpeechRate` in interface `CSS2Properties`

### getStress

public String getStress()

Specified by:
  `getStress` in interface `CSS2Properties`

### getTableLayout

public String getTableLayout()

Specified by:
  `getTableLayout` in interface `CSS2Properties`

### getTextAlign

public String getTextAlign()

Specified by:
  `getTextAlign` in interface `CSS2Properties`

### getTextDecoration

public String getTextDecoration()

Specified by:
  `getTextDecoration` in interface `CSS2Properties`

### getTextIndent

public String getTextIndent()

Specified by:
  `getTextIndent` in interface `CSS2Properties`

### getTextShadow

public String getTextShadow()

Specified by:
  `getTextShadow` in interface `CSS2Properties`

### getTextTransform

public String getTextTransform()

Specified by:
  `getTextTransform` in interface `CSS2Properties`

### getTop

public String getTop()

Specified by:
  `getTop` in interface `CSS2Properties`

### getUnicodeBidi

public String getUnicodeBidi()

Specified by:
  `getUnicodeBidi` in interface `CSS2Properties`

### getVerticalAlign

public String getVerticalAlign()

Specified by:
  `getVerticalAlign` in interface `CSS2Properties`

### getVisibility

public String getVisibility()

Specified by:
  `getVisibility` in interface `CSS2Properties`

### getVoiceFamily

public String getVoiceFamily()

Specified by:
  `getVoiceFamily` in interface `CSS2Properties`

### getVolume

public String getVolume()

Specified by:
  `getVolume` in interface `CSS2Properties`

### getWhiteSpace

public String getWhiteSpace()

Specified by:
  `getWhiteSpace` in interface `CSS2Properties`

### getWidows

public String getWidows()

Specified by:
  `getWidows` in interface `CSS2Properties`

### getWidth

public String getWidth()

Specified by:
  `getWidth` in interface `CSS2Properties`

### getWordSpacing

public String getWordSpacing()

Specified by:
  `getWordSpacing` in interface `CSS2Properties`

### getZIndex

public String getZIndex()

Specified by:
  `getZIndex` in interface `CSS2Properties`

### setAzimuth

public void setAzimuth(String azimuth) throws DOMException

Specified by:
  `setAzimuth` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBackground

public void setBackground(String background) throws DOMException

Specified by:
  `setBackground` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBackgroundAttachment

public void setBackgroundAttachment(String backgroundAttachment) throws DOMException

Specified by:
  `setBackgroundAttachment` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBackgroundColor

public void setBackgroundColor(String backgroundColor) throws DOMException

Specified by:
  `setBackgroundColor` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBackgroundImage

public void setBackgroundImage(String backgroundImage) throws DOMException

Specified by:
  `setBackgroundImage` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBackgroundPosition

public void setBackgroundPosition(String backgroundPosition) throws DOMException

Specified by:
  `setBackgroundPosition` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBackgroundRepeat

public void setBackgroundRepeat(String backgroundRepeat) throws DOMException

Specified by:
  `setBackgroundRepeat` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorder

public void setBorder(String border) throws DOMException

Specified by:
  `setBorder` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderBottom

public void setBorderBottom(String borderBottom) throws DOMException

Specified by:
  `setBorderBottom` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderBottomColor

public void setBorderBottomColor(String borderColor) throws DOMException

Specified by:
  `setBorderBottomColor` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderBottomStyle

public void setBorderBottomStyle(String borderBottomStyle) throws DOMException

Specified by:
  `setBorderBottomStyle` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderBottomWidth

public void setBorderBottomWidth(String borderBottomWidth) throws DOMException

Specified by:
  `setBorderBottomWidth` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderCollapse

public void setBorderCollapse(String borderCollapse) throws DOMException

Specified by:
  `setBorderCollapse` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderColor

public void setBorderColor(String borderColor) throws DOMException

Specified by:
  `setBorderColor` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderLeft

public void setBorderLeft(String borderLeft) throws DOMException

Specified by:
  `setBorderLeft` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderLeftColor

public void setBorderLeftColor(String borderLeftColor) throws DOMException

Specified by:
  `setBorderLeftColor` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderLeftStyle

public void setBorderLeftStyle(String borderLeftStyle) throws DOMException

Specified by:
  `setBorderLeftStyle` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderLeftWidth

public void setBorderLeftWidth(String borderLeftWidth) throws DOMException

Specified by:
  `setBorderLeftWidth` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderRight

public void setBorderRight(String borderRight) throws DOMException

Specified by:
  `setBorderRight` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderRightColor

public void setBorderRightColor(String borderRightColor) throws DOMException

Specified by:
  `setBorderRightColor` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderRightStyle

public void setBorderRightStyle(String borderRightStyle) throws DOMException

Specified by:
  `setBorderRightStyle` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderRightWidth

public void setBorderRightWidth(String borderRightWidth) throws DOMException

Specified by:
  `setBorderRightWidth` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderSpacing

public void setBorderSpacing(String borderSpacing) throws DOMException

Specified by:
  `setBorderSpacing` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderStyle

public void setBorderStyle(String borderStyle) throws DOMException

Specified by:
  `setBorderStyle` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderTop

public void setBorderTop(String borderTop) throws DOMException

Specified by:
  `setBorderTop` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderTopColor

public void setBorderTopColor(String borderTopColor) throws DOMException

Specified by:
  `setBorderTopColor` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderTopStyle

public void setBorderTopStyle(String borderTopStyle) throws DOMException

Specified by:
  `setBorderTopStyle` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderTopWidth

public void setBorderTopWidth(String borderTopWidth) throws DOMException

Specified by:
  `setBorderTopWidth` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBorderWidth

public void setBorderWidth(String borderWidth) throws DOMException

Specified by:
  `setBorderWidth` in interface `CSS2Properties`
Throws:
  `DOMException`

### setBottom

public void setBottom(String bottom) throws DOMException

Specified by:
  `setBottom` in interface `CSS2Properties`
Throws:
  `DOMException`

### setCaptionSide

public void setCaptionSide(String captionSide) throws DOMException

Specified by:
  `setCaptionSide` in interface `CSS2Properties`
Throws:
  `DOMException`

### setClear

public void setClear(String clear) throws DOMException

Specified by:
  `setClear` in interface `CSS2Properties`
Throws:
  `DOMException`

### setClip

public void setClip(String clip) throws DOMException

Specified by:
  `setClip` in interface `CSS2Properties`
Throws:
  `DOMException`

### setColor

public void setColor(String color) throws DOMException

Specified by:
  `setColor` in interface `CSS2Properties`
Throws:
  `DOMException`

### setContent

public void setContent(String content) throws DOMException

Specified by:
  `setContent` in interface `CSS2Properties`
Throws:
  `DOMException`

### setCounterIncrement

public void setCounterIncrement(String counterIncrement) throws DOMException

Specified by:
  `setCounterIncrement` in interface `CSS2Properties`
Throws:
  `DOMException`

### setCounterReset

public void setCounterReset(String counterReset) throws DOMException

Specified by:
  `setCounterReset` in interface `CSS2Properties`
Throws:
  `DOMException`

### setCssFloat

public void setCssFloat(String cssFloat) throws DOMException

Specified by:
  `setCssFloat` in interface `CSS2Properties`
Throws:
  `DOMException`

### setCue

public void setCue(String cue) throws DOMException

Specified by:
  `setCue` in interface `CSS2Properties`
Throws:
  `DOMException`

### setCueAfter

public void setCueAfter(String cueAfter) throws DOMException

Specified by:
  `setCueAfter` in interface `CSS2Properties`
Throws:
  `DOMException`

### setCueBefore

public void setCueBefore(String cueBefore) throws DOMException

Specified by:
  `setCueBefore` in interface `CSS2Properties`
Throws:
  `DOMException`

### setCursor

public void setCursor(String cursor) throws DOMException

Specified by:
  `setCursor` in interface `CSS2Properties`
Throws:
  `DOMException`

### setDirection

public void setDirection(String direction) throws DOMException

Specified by:
  `setDirection` in interface `CSS2Properties`
Throws:
  `DOMException`

### setDisplay

public void setDisplay(String display) throws DOMException

Specified by:
  `setDisplay` in interface `CSS2Properties`
Throws:
  `DOMException`

### setElevation

public void setElevation(String elevation) throws DOMException

Specified by:
  `setElevation` in interface `CSS2Properties`
Throws:
  `DOMException`

### setEmptyCells

public void setEmptyCells(String emptyCells) throws DOMException

Specified by:
  `setEmptyCells` in interface `CSS2Properties`
Throws:
  `DOMException`

### setFont

public void setFont(String font) throws DOMException

Specified by:
  `setFont` in interface `CSS2Properties`
Throws:
  `DOMException`

### setFontFamily

public void setFontFamily(String fontFamily) throws DOMException

Specified by:
  `setFontFamily` in interface `CSS2Properties`
Throws:
  `DOMException`

### setFontSize

public void setFontSize(String fontSize) throws DOMException

Specified by:
  `setFontSize` in interface `CSS2Properties`
Throws:
  `DOMException`

### setFontSizeAdjust

public void setFontSizeAdjust(String fontSizeAdjust) throws DOMException

Specified by:
  `setFontSizeAdjust` in interface `CSS2Properties`
Throws:
  `DOMException`

### setFontStretch

public void setFontStretch(String fontStretch) throws DOMException

Specified by:
  `setFontStretch` in interface `CSS2Properties`
Throws:
  `DOMException`

### setFontStyle

public void setFontStyle(String fontStyle) throws DOMException

Specified by:
  `setFontStyle` in interface `CSS2Properties`
Throws:
  `DOMException`

### setFontVariant

public void setFontVariant(String fontVariant) throws DOMException

Specified by:
  `setFontVariant` in interface `CSS2Properties`
Throws:
  `DOMException`

### setFontWeight

public void setFontWeight(String fontWeight) throws DOMException

Specified by:
  `setFontWeight` in interface `CSS2Properties`
Throws:
  `DOMException`

### setHeight

public void setHeight(String height) throws DOMException

Specified by:
  `setHeight` in interface `CSS2Properties`
Throws:
  `DOMException`

### setLeft

public void setLeft(String left) throws DOMException

Specified by:
  `setLeft` in interface `CSS2Properties`
Throws:
  `DOMException`

### setLetterSpacing

public void setLetterSpacing(String letterSpacing) throws DOMException

Specified by:
  `setLetterSpacing` in interface `CSS2Properties`
Throws:
  `DOMException`

### setLineHeight

public void setLineHeight(String lineHeight) throws DOMException

Specified by:
  `setLineHeight` in interface `CSS2Properties`
Throws:
  `DOMException`

### setListStyle

public void setListStyle(String listStyle) throws DOMException

Specified by:
  `setListStyle` in interface `CSS2Properties`
Throws:
  `DOMException`

### setListStyleImage

public void setListStyleImage(String listStyleImage) throws DOMException

Specified by:
  `setListStyleImage` in interface `CSS2Properties`
Throws:
  `DOMException`

### setListStylePosition

public void setListStylePosition(String listStylePosition) throws DOMException

Specified by:
  `setListStylePosition` in interface `CSS2Properties`
Throws:
  `DOMException`

### setListStyleType

public void setListStyleType(String listStyleType) throws DOMException

Specified by:
  `setListStyleType` in interface `CSS2Properties`
Throws:
  `DOMException`

### setMargin

public void setMargin(String margin) throws DOMException

Specified by:
  `setMargin` in interface `CSS2Properties`
Throws:
  `DOMException`

### setMarginBottom

public void setMarginBottom(String marginBottom) throws DOMException

Specified by:
  `setMarginBottom` in interface `CSS2Properties`
Throws:
  `DOMException`

### setMarginLeft

public void setMarginLeft(String marginLeft) throws DOMException

Specified by:
  `setMarginLeft` in interface `CSS2Properties`
Throws:
  `DOMException`

### setMarginRight

public void setMarginRight(String marginRight) throws DOMException

Specified by:
  `setMarginRight` in interface `CSS2Properties`
Throws:
  `DOMException`

### setMarginTop

public void setMarginTop(String marginTop) throws DOMException

Specified by:
  `setMarginTop` in interface `CSS2Properties`
Throws:
  `DOMException`

### setMarkerOffset

public void setMarkerOffset(String markerOffset) throws DOMException

Specified by:
  `setMarkerOffset` in interface `CSS2Properties`
Throws:
  `DOMException`

### setMarks

public void setMarks(String marks) throws DOMException

Specified by:
  `setMarks` in interface `CSS2Properties`
Throws:
  `DOMException`

### setMaxHeight

public void setMaxHeight(String maxHeight) throws DOMException

Specified by:
  `setMaxHeight` in interface `CSS2Properties`
Throws:
  `DOMException`

### setMaxWidth

public void setMaxWidth(String maxWidth) throws DOMException

Specified by:
  `setMaxWidth` in interface `CSS2Properties`
Throws:
  `DOMException`

### setMinHeight

public void setMinHeight(String minHeight) throws DOMException

Specified by:
  `setMinHeight` in interface `CSS2Properties`
Throws:
  `DOMException`

### setMinWidth

public void setMinWidth(String minWidth) throws DOMException

Specified by:
  `setMinWidth` in interface `CSS2Properties`
Throws:
  `DOMException`

### setOrphans

public void setOrphans(String orphans) throws DOMException

Specified by:
  `setOrphans` in interface `CSS2Properties`
Throws:
  `DOMException`

### setOutline

public void setOutline(String outline) throws DOMException

Specified by:
  `setOutline` in interface `CSS2Properties`
Throws:
  `DOMException`

### setOutlineColor

public void setOutlineColor(String outlineColor) throws DOMException

Specified by:
  `setOutlineColor` in interface `CSS2Properties`
Throws:
  `DOMException`

### setOutlineStyle

public void setOutlineStyle(String outlineStyle) throws DOMException

Specified by:
  `setOutlineStyle` in interface `CSS2Properties`
Throws:
  `DOMException`

### setOutlineWidth

public void setOutlineWidth(String outlineWidth) throws DOMException

Specified by:
  `setOutlineWidth` in interface `CSS2Properties`
Throws:
  `DOMException`

### setOverflow

public void setOverflow(String overflow) throws DOMException

Specified by:
  `setOverflow` in interface `CSS2Properties`
Throws:
  `DOMException`

### setPadding

public void setPadding(String padding) throws DOMException

Specified by:
  `setPadding` in interface `CSS2Properties`
Throws:
  `DOMException`

### setPaddingBottom

public void setPaddingBottom(String paddingBottom) throws DOMException

Specified by:
  `setPaddingBottom` in interface `CSS2Properties`
Throws:
  `DOMException`

### setPaddingLeft

public void setPaddingLeft(String paddingLeft) throws DOMException

Specified by:
  `setPaddingLeft` in interface `CSS2Properties`
Throws:
  `DOMException`

### setPaddingRight

public void setPaddingRight(String paddingRight) throws DOMException

Specified by:
  `setPaddingRight` in interface `CSS2Properties`
Throws:
  `DOMException`

### setPaddingTop

public void setPaddingTop(String paddingTop) throws DOMException

Specified by:
  `setPaddingTop` in interface `CSS2Properties`
Throws:
  `DOMException`

### setPage

public void setPage(String page) throws DOMException

Specified by:
  `setPage` in interface `CSS2Properties`
Throws:
  `DOMException`

### setPageBreakAfter

public void setPageBreakAfter(String pageBreakAfter) throws DOMException

Specified by:
  `setPageBreakAfter` in interface `CSS2Properties`
Throws:
  `DOMException`

### setPageBreakBefore

public void setPageBreakBefore(String pageBreakBefore) throws DOMException

Specified by:
  `setPageBreakBefore` in interface `CSS2Properties`
Throws:
  `DOMException`

### setPageBreakInside

public void setPageBreakInside(String pageBreakInside) throws DOMException

Specified by:
  `setPageBreakInside` in interface `CSS2Properties`
Throws:
  `DOMException`

### setPause

public void setPause(String pause) throws DOMException

Specified by:
  `setPause` in interface `CSS2Properties`
Throws:
  `DOMException`

### setPauseAfter

public void setPauseAfter(String pauseAfter) throws DOMException

Specified by:
  `setPauseAfter` in interface `CSS2Properties`
Throws:
  `DOMException`

### setPauseBefore

public void setPauseBefore(String pauseBefore) throws DOMException

Specified by:
  `setPauseBefore` in interface `CSS2Properties`
Throws:
  `DOMException`

### setPitch

public void setPitch(String pitch) throws DOMException

Specified by:
  `setPitch` in interface `CSS2Properties`
Throws:
  `DOMException`

### setPitchRange

public void setPitchRange(String pitchRange) throws DOMException

Specified by:
  `setPitchRange` in interface `CSS2Properties`
Throws:
  `DOMException`

### setPlayDuring

public void setPlayDuring(String playDuring) throws DOMException

Specified by:
  `setPlayDuring` in interface `CSS2Properties`
Throws:
  `DOMException`

### setPosition

public void setPosition(String position) throws DOMException

Specified by:
  `setPosition` in interface `CSS2Properties`
Throws:
  `DOMException`

### setQuotes

public void setQuotes(String quotes) throws DOMException

Specified by:
  `setQuotes` in interface `CSS2Properties`
Throws:
  `DOMException`

### setRichness

public void setRichness(String richness) throws DOMException

Specified by:
  `setRichness` in interface `CSS2Properties`
Throws:
  `DOMException`

### setRight

public void setRight(String right) throws DOMException

Specified by:
  `setRight` in interface `CSS2Properties`
Throws:
  `DOMException`

### setSize

public void setSize(String size) throws DOMException

Specified by:
  `setSize` in interface `CSS2Properties`
Throws:
  `DOMException`

### setSpeak

public void setSpeak(String speak) throws DOMException

Specified by:
  `setSpeak` in interface `CSS2Properties`
Throws:
  `DOMException`

### setSpeakHeader

public void setSpeakHeader(String speakHeader) throws DOMException

Specified by:
  `setSpeakHeader` in interface `CSS2Properties`
Throws:
  `DOMException`

### setSpeakNumeral

public void setSpeakNumeral(String speakNumeral) throws DOMException

Specified by:
  `setSpeakNumeral` in interface `CSS2Properties`
Throws:
  `DOMException`

### setSpeakPunctuation

public void setSpeakPunctuation(String speakPunctuation) throws DOMException

Specified by:
  `setSpeakPunctuation` in interface `CSS2Properties`
Throws:
  `DOMException`

### setSpeechRate

public void setSpeechRate(String speechRate) throws DOMException

Specified by:
  `setSpeechRate` in interface `CSS2Properties`
Throws:
  `DOMException`

### setStress

public void setStress(String stress) throws DOMException

Specified by:
  `setStress` in interface `CSS2Properties`
Throws:
  `DOMException`

### setTableLayout

public void setTableLayout(String tableLayout) throws DOMException

Specified by:
  `setTableLayout` in interface `CSS2Properties`
Throws:
  `DOMException`

### setTextAlign

public void setTextAlign(String textAlign) throws DOMException

Specified by:
  `setTextAlign` in interface `CSS2Properties`
Throws:
  `DOMException`

### setTextDecoration

public void setTextDecoration(String textDecoration) throws DOMException

Specified by:
  `setTextDecoration` in interface `CSS2Properties`
Throws:
  `DOMException`

### setTextIndent

public void setTextIndent(String textIndent) throws DOMException

Specified by:
  `setTextIndent` in interface `CSS2Properties`
Throws:
  `DOMException`

### setTextShadow

public void setTextShadow(String textShadow) throws DOMException

Specified by:
  `setTextShadow` in interface `CSS2Properties`
Throws:
  `DOMException`

### setTextTransform

public void setTextTransform(String textTransform) throws DOMException

Specified by:
  `setTextTransform` in interface `CSS2Properties`
Throws:
  `DOMException`

### setTop

public void setTop(String top) throws DOMException

Specified by:
  `setTop` in interface `CSS2Properties`
Throws:
  `DOMException`

### setUnicodeBidi

public void setUnicodeBidi(String unicodeBidi) throws DOMException

Specified by:
  `setUnicodeBidi` in interface `CSS2Properties`
Throws:
  `DOMException`

### setVerticalAlign

public void setVerticalAlign(String verticalAlign) throws DOMException

Specified by:
  `setVerticalAlign` in interface `CSS2Properties`
Throws:
  `DOMException`

### setVisibility

public void setVisibility(String visibility) throws DOMException

Specified by:
  `setVisibility` in interface `CSS2Properties`
Throws:
  `DOMException`

### setVoiceFamily

public void setVoiceFamily(String voiceFamily) throws DOMException

Specified by:
  `setVoiceFamily` in interface `CSS2Properties`
Throws:
  `DOMException`

### setVolume

public void setVolume(String volume) throws DOMException

Specified by:
  `setVolume` in interface `CSS2Properties`
Throws:
  `DOMException`

### setWhiteSpace

public void setWhiteSpace(String whiteSpace) throws DOMException

Specified by:
  `setWhiteSpace` in interface `CSS2Properties`
Throws:
  `DOMException`

### setWidows

public void setWidows(String widows) throws DOMException

Specified by:
  `setWidows` in interface `CSS2Properties`
Throws:
  `DOMException`

### setWidth

public void setWidth(String width) throws DOMException

Specified by:
  `setWidth` in interface `CSS2Properties`
Throws:
  `DOMException`

### setWordSpacing

public void setWordSpacing(String wordSpacing) throws DOMException

Specified by:
  `setWordSpacing` in interface `CSS2Properties`
Throws:
  `DOMException`

### setZIndex

public void setZIndex(String zIndex) throws DOMException

Specified by:
  `setZIndex` in interface `CSS2Properties`
Throws:
  `DOMException`

### parseAndApplyStyle

protected void parseAndApplyStyle(String propertyName, String propertyValue)
Parse and apply CSS property name `propertyName` with value `propertyValue` to the widget.